﻿@model Contabilidad.Site.Models.Invoice.InvoiceDetailViewModel
@{
    ViewData["Title"] = @Contabilidad.Resources.CommonResources.Details;
}

<div class="row clearfix">
    <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    @Contabilidad.Resources.Models.Accounting.Invoice.Invoice.DetailsTitle
                </h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div>
                    <dl class="dl-horizontal">
                        <dt>
                            @Html.DisplayNameFor(model => model.Code)
                        </dt>
                        <dd>
                            @Html.DisplayFor(model => model.Code)
                        </dd>
                        <dt>
                            @Html.DisplayNameFor(model => model.IsPaid)
                        </dt>
                        <dd>
                            @Html.DisplayFor(model => model.IsPaid)
                        </dd>
                        <dt>
                            @Html.DisplayNameFor(model => model.InvoiceType)
                        </dt>
                        <dd>
                            @Html.DisplayFor(model => model.InvoiceType)
                        </dd>
                        <dt>
                            @Html.DisplayNameFor(model => model.Total)
                        </dt>
                        <dd>
                            @Html.DisplayFor(model => model.Total)
                        </dd>
                    </dl>
                </div>

                <br />
                <div class="row clearfix">

                    <div class="col-md-6 offset-md-3">
                        <a asp-action="Edit" data-loader="true" class="btn btn-primary" asp-route-id="@Model.Id">@Contabilidad.Resources.CommonResources.Edit</a>

                        <a href="#confirm_@Model.Id" data-loader="true" class="btn btn-danger"
                           data-toggle="modal" data-target="#confirm_@Model.Id">@Contabilidad.Resources.CommonResources.Delete</a>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row clearfix">
    <div class="x_panel">
        <div class="x_title">
            <h2>@Contabilidad.Resources.Models.Accounting.Invoice.Invoice.DetailsTitle</h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">



            <div class="row">
                <div class="col-sm-12">
                    <div class="card-box table-responsive">
                        <div id="datatable_wrapper" class="dataTables_wrapper container-fluid dt-bootstrap no-footer">
                            <div class="row">
                            </div>
                            <div class="row">
                                <div class="col-sm-12">
                                    <table id="datatable" class="table table-striped table-bordered dataTable no-footer" style="width: 100%;" role="grid" aria-describedby="datatable_info">
                                        <thead>
                                            <tr class="headings">
                                                @*<th>@Html.DisplayNameFor(Model => Model.Details.FirstOrDefault().Product)</th>
                                                <th>@Html.DisplayNameFor(Model => Model.Details.FirstOrDefault().Quantity)</th>
                                                <th>@Html.DisplayNameFor(Model => Model.Details.FirstOrDefault().UnitPrice)</th>
                                                <th>@Html.DisplayNameFor(Model => Model.Details.FirstOrDefault().Total)</th>*@
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @*@foreach (var item in Model.Details)
                                            {
                                                <tr>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.Product)
                                                    </td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.Quantity)
                                                    </td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.UnitPrice)
                                                    </td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.Total)
                                                    </td>
                                                </tr>
                                            }*@
                                        </tbody>
                                    </table>
                                </div>
                            </div>

                            <div class="row">
                            </div>
                        </div>
                    </div>
                </div>
            </div>



        </div>
    </div>
</div>

<form asp-action="Delete" asp-route-id="@Model.Id">
    <div class="modal fade" id="confirm_@Model.Id" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="defaultModalLabel">@Contabilidad.Resources.CommonResources.Delete @Contabilidad.Resources.Models.Accounting.Provider.Provider.modelName</h4>
                </div>
                <div class="modal-body">
                    @Contabilidad.Resources.Models.Accounting.Provider.Provider.MessageDelete
                </div>
                <div class="modal-footer">
                    <input type="submit" value="@Contabilidad.Resources.CommonResources.Delete" data-loader="true" class="btn btn-danger waves-effect" />
                    <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">@Contabilidad.Resources.CommonResources.Cancel</button>
                </div>
            </div>
        </div>
    </div>
</form>
